# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`file_url`](#file_url): File URL

## Defined types

### <a name="file_url"></a>`file_url`

Defines a .URL shortcut

#### Parameters

The following parameters are available in the `file_url` defined type:

* [`ensure`](#-file_url--ensure)
* [`file_name`](#-file_url--file_name)
* [`hot_key`](#-file_url--hot_key)
* [`icon_file`](#-file_url--icon_file)
* [`icon_index`](#-file_url--icon_index)
* [`log_output`](#-file_url--log_output)
* [`parent_folder`](#-file_url--parent_folder)
* [`url`](#-file_url--url)

##### <a name="-file_url--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Desired state of the shortcut
Example: 'absent'

Default value: `'present'`

##### <a name="-file_url--file_name"></a>`file_name`

Data type: `String`

Assigned text, including the file extension, that should be used as the name of the file
   Ensure that the exact file name is used if 'ensure' is set to 'absent'
Example: 'ThanksForAllTheFish.url'

##### <a name="-file_url--hot_key"></a>`hot_key`

Data type: `Optional[String]`

Denotes the key combination to assign to the shortcut
Key combo execution may not work when files are in areas that current user does not have direct rights to
Example: 1607

Default value: `undef`

##### <a name="-file_url--icon_file"></a>`icon_file`

Data type: `String`

Full path to the file containing the icon to use for the shortcut
Example: 'C:\\Windows\\HelpPane.exe'

Default value: `'absent'`

##### <a name="-file_url--icon_index"></a>`icon_index`

Data type: `Integer`

Denotes which entry within the icon_file file should be used
Example: 0

Default value: `-1`

##### <a name="-file_url--log_output"></a>`log_output`

Data type: `Boolean`

Determines additional logging output (typically only used for troubleshooting) during a Puppet agent run
Example: True

Default value: `false`

##### <a name="-file_url--parent_folder"></a>`parent_folder`

Data type: `String`

Fully qualified path to the parent folder that will house the shortcut
Example: 'C:\\Users\\Public\\Desktop'

##### <a name="-file_url--url"></a>`url`

Data type: `Optional[String]`

URL to navigate to when the shortcut is executed
   Required when 'ensure' is set to 'present'
Example: 'https://forge.puppet.com'

Default value: `undef`

